1 Reply Latest reply on Oct 6, 2017 12:19 PM by elstaci

    Radeon 7570 Upgrade Drivers ?

    gareth676

      I have Radeon 7570 Card on Windows 7 Pro Platform.  Have upgrade tool installed and it keeps asking me to upgrade to a lower iteration of the driver software.

       

      I have 16.40.2311 currently installed - the upgrade keeps telling me 15.7.1 is the recommended driver upgrade.

       

      Can anyone explain this oddity.

      Thanks

      Gareth

        • Re: Radeon 7570 Upgrade Drivers ?
          elstaci

          The HD-7570 is considered to be Legacy (old). AMD doesn't update the drivers for this card anymore. The last driver for this  card is the one asking you to install. Legacy

           

           

          AMD Display Driver

          AMD Radeon™ Software Support for Legacy Graphics Products

          AMD Radeon™ R5 235X, Radeon™ R5 235, Radeon™ R5 230, Radeon™ R5 220, Radeon™ HD 8470, Radeon™ HD 8350, Radeon™ HD 8000 (D/G variants), Radeon™ HD 7000 Series (HD 7600 and below), Radeon™ HD 6000 Series, and Radeon™ HD 5000 Series Graphics products have been moved to a legacy support model and no additional driver releases are planned. This change enables us to dedicate valuable engineering resources to developing new features and enhancements for graphics products based on the GCN Architecture.As a courtesy to our valued supporters we are providing a final Beta driver together with the release of the AMD Radeon Software Crimson Edition. The AMD Radeon Software Crimson Edition Beta driver includes the redesigned user interface as well as some enhanced features. More information can be found in the AMD Radeon Software Crimson Edition 16.2.1 for Non GCN Products Release Notes. This driver is provided "as is" and will not be supported with further updates, upgrades or bug fixes.For users looking for a WHQL certified driver, the AMD Catalyst™ 15.7.1 driver will continue to be available for users running Windows® 10, Windows® 8.1, and Windows® 7.Users running Windows® Vista and older Microsoft® operating systems can use the AMD Catalyst™ 13.12 driver.Users running supported Linux distributions can use the AMD Catalyst™ 15.12 proprietary drivers. These drivers are available for download on the Drivers + Download Center page.For users passionate about gaming, you may wish to consider upgrading to a modern GPU and benefit from exciting new features, improved performance, lower power consumption and broader compatibility with the latest PC games. For information about resellers and product availability, visit:http://shop.amd.comNOTE: Before upgrading ensure that your system meets the requirements of the graphics adapter, such as:
          • Motherboard with compatible graphics card slot
          • Adequate power supply unit to handle the complete system power requirements
          • Display with compatible connections
          AMD Radeon Software Crimson Edition Beta DriverApplicable Products:
          • AMD Radeon™ R5 235X, Radeon™ R5 235, Radeon R5™ 230, Radeon™ R5 220 Series Graphics
          • AMD Radeon™ HD 8470, Radeon™ HD 8350, Radeon™ HD 8000 (D/G variants) Series Graphics
          • AMD Radeon™ HD 7000 – HD 7600 (including A/D/G/M variants) Series Graphics
          • AMD Radeon™ HD 6000 (including A/D/G/M variants) Series Graphics
          • AMD Radeon™ HD 5000 (including M variant) Series Graphics
          Applicable Operating Systems:
          • Windows® 10 (32 & 64-bit versions)
          • Windows® 8.1 (32 & 64-bit versions)
          • Windows® 7 (32 & 64-bit versions)

          Users with AMD Radeon HD 4000 Series and older products looking for driver support, please refer to KB article: Driver Support for AMD Radeon™ HD 4000, HD 3000, HD 2000 and Older Series

           

           

          NAMEFILE SIZEREVISION NUMBERRELEASE DATEDOWNLOAD LINK
          Catalyst Software Suite286 MB15.7.17/29/2015*DOWNLOAD
          Radeon Software Crimson Edition Beta313 MBCrimson Edition 16.2.1 Beta3/1/2016*DOWNLOAD

           

           

           

           

          1 of 1 people found this helpful